Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jan 2022 21:29:01 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  [email-masked]
> Date: Wed, 05 Jan 2022 21:09:31 +0200
> 
> >> > I think once the user turns on context-menu-mode, all the modes that
> >> > defined their context menus should automatically activate them.  There
> >> > should be no need for any user customizations except turning on this
> >> > mode.
> >>
> >> I would disagree, neither do I necessarily want all mode, nor do I
> >> necessarily want to have the entries listed the default order.  In my
> >> case I fix this by manually setting context-menu-functions to the
> >> functions I want to use.
> >
> > Then we should allow users to opt out of the automatic activation of
> > the context menus.  But the default should IMO be that they are
> > activated in all modes.  After all, this mode wants to mimic "other
> > applications", and those don't let you choose at all.  So I think
> > users, especially newcomers, would expect that default.
> 
> The menu bar doesn't contain all available commands not to overwhelm the
> users.  For the same reason, the context menu should stay reasonably short.
> Otherwise, it might grow to 28-foot long, and everyone will be mocking
> us for this.

I agree, but is that a real danger?  How much context that gets into
context menu can there be for a single spot in a buffer?

And if indeed there's a lot of useful context, we should produce
multi-level context menus, like we do with buffer-menu.

Once again: this feature makes no sense whatsoever if turning on the
context-menu-mode doesn't activate the context menus.